# Generated by Django 3.1.7 on 2021-03-23 17:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("cms", "0022_auto_20180620_1551"),
    ]

    operations = [
        migrations.CreateModel(
            name="PopupPluginModel",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="djangocms_popup_popuppluginmodel",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "display_delay",
                    models.IntegerField(
                        default=0, verbose_name="Display after X seconds"
                    ),
                ),
                (
                    "can_reopen_popup",
                    models.BooleanField(
                        default=False,
                        verbose_name="Allow the popup to be reopened if it is closed",
                    ),
                ),
            ],
            options={
                "verbose_name": "Popup",
            },
            bases=("cms.cmsplugin",),
        ),
    ]
